<?php

namespace App\Console\Commands\Intuit;

use Illuminate\Console\Command;

use App\Models\{ProviderOauth,User};
use App\Jobs\AccountingPaymentSync as Job;

class PaymentSync extends Command
{
	private const provider = 'intuit';

	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'accounting:payment:sync'
		.' {user? : User Email}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Synchronise payments with accounting system';

	/**
	 * Execute the console command.
	 *
	 * @return int
	 */
	public function handle()
	{
		$uo = User::where('email',$this->argument('user') ?: config('osb.admin'))->singleOrFail();

		$so = ProviderOauth::where('name',self::provider)->singleOrFail();
		if (! ($to=$so->token($uo)))
			abort(500,sprintf('Unknown Tokens for [%s]',$uo->email));

		$api = $to->API();
		foreach ($api->getPayments() as $acc)
			Job::dispatchSync($to,$acc);

		return self::SUCCESS;
	}
}