@extends('adminlte::layouts.app')

@section('htmlheader_title')
	{{ $o->role }} Home
@endsection
@section('page_title')
	{{ $o->name_full }}
@endsection

@section('contentheader_title')
	{{ $o->name_full }}
@endsection
@section('contentheader_description')
	{{ $o->role }}
@endsection

@section('main-content')
	<!-- Our Summary Home Page Boxes -->
	<div class="row">
		@include('theme.backend.adminlte.account.widget.summary_boxes')
	</div>

	<div class="card card-light card-tabs">
		<div class="card-header p-0 pt-1">
			<ul class="nav nav-tabs" id="accounts-tab">
				<li class="pt-2 px-3"><h3 class="card-title">Accounts</h3></li>
				@foreach($o->accounts as $ao)
					<li class="nav-item">
						<a class="nav-link @if(! $loop->index)active @endif" href="#account_{{ $ao->id }}" data-toggle="tab" aria-controls="account_{{ $ao->id }}" aria-selected="true">{{ $ao->name }}</a>
					</li>
				@endforeach

				@canany('reseller','wholesaler')
					@if ($o === $user)
						<li class="nav-item ml-auto">
							<a class="nav-link" href="#tab-reseller" data-toggle="tab">Reseller</a>
						</li>
					@endif
				@endcanany
			</ul>
		</div>

		<div class="card-body">
			<div class="tab-content" id="accounts-tab-content">
				@foreach($o->accounts as $ao)
					<div @class(['tab-pane','fade','show active'=>! $loop->index]) id="account_{{ $ao->id }}" aria-labelledby="account_{{ $ao->id }}">
						<div class="row">
							<div class="col-12">
								<div class="card-header bg-white">
									<ul class="nav nav-pills">
										<li class="nav-item"><a @class(['nav-link','active'=>! session()->has('supplier_update')]) href="#tab-services" data-toggle="tab">Services</a></li>
										<li class="nav-item"><a class="nav-link" href="#tab-futureinvoice" data-toggle="tab">Future Invoice</a></li>
										@canany('reseller','wholesaler')
										<li class="nav-item ml-auto">
											<a @class(['nav-link','active'=>session()->has('supplier_update')]) href="#tab-supplier" data-toggle="tab">Supplier</a>
										</li>
										@endcanany
									</ul>
								</div>

								<div class="card-body pl-0 pr-0">
									<div class="tab-content">
										<div @class(['tab-pane','fade','show active'=>! session()->has('supplier_update')]) id="tab-services">
											<div class="row">
												<div class="col-12 col-xl-7">
													@include('theme.backend.adminlte.account.widget.service_active',['o'=>$ao])
												</div>

												<div class="col-12 col-xl-5">
													@include('theme.backend.adminlte.account.widget.invoice_due',['o'=>$ao])
													@include('theme.backend.adminlte.account.widget.invoice_past',['o'=>$ao])
												</div>
											</div>
										</div>

										<div class="tab-pane fade" id="tab-futureinvoice">
											<div class="row">
												<div class="col-12 col-xl-9">
													@include('theme.backend.adminlte.account.widget.invoice_next',['o'=>$ao])
												</div>
											</div>
										</div>

										@canany('reseller','wholesaler')
											<div @class(['tab-pane','fade','show active'=>session()->pull('supplier_update')]) id="tab-supplier">
												@include('theme.backend.adminlte.account.widget.supplier',['o'=>$ao])
											</div>
										@endcanany
									</div>
								</div>
							</div>
						</div>
					</div>
				@endforeach

				@if($o==$user)
					@canany('reseller','wholesaler')
						<div class="tab-pane fade" id="tab-reseller">
							@include('theme.backend.adminlte.widget.admin.reseller')
						</div>
					@endcanany
				@endif
			</div>
		</div>
	</div>
@endsection